{% extends 'base.html.twig' %}
{% block body %}
    <div class="NameOfBoard">
    <a>
        <H1>
            {{ board.name }}
        </H1>
    </a>
    </div>  
    <div class="body">
      
        <div class="leftBarre">
            <button class="styled" type="button">
                <a href="{{ path('app_topic_new', {board_id:board.id}) }}">
                    Créer un nouveau sujet 
                                
                </a>
            </button>
            {% if is_granted('ROLE_ADMIN') %}
				<button class="styled" type="button">

					<a href="{{ path('app_board_delete',{'id':board.id}) }}">
						Supprimer le tableau
					</a>
				</button>
			{% endif %}
        </div>
        <div class="main">
            <table class="category">
                <thead>
                    <tr>
                        <th>
                            Sujet 
                                                
                        </th>
                        <th>
                            Réponse 
                                                
                        </th>
                        <th>
                            Utilisateur 
                                                
                        </th>
                    </tr>
                </thead>
                <tbody>
                    {% for topic in topics %}
                        <tr class="board">
                            <td>
                                <a href="{{ path('app_topic', {'id':topic.id} ) }}">
                                    {{ topic.name }}
                                </a>
                            </td>
                            <td>
                                {{ topic.replies|length }}
                            </td>
                            <td>
                                {{ topic.user }}
                            </td>
                        </tr>
                    {% endfor %}
                </tbody>
            </table>
        </div>
    </div>
{% endblock %}
